Page MenuHomePhabricator

Denote proposer on Suggest page
Closed, ResolvedPublic

Description

Task

At https://wikipedialibrary.wmflabs.org/suggest/, users can suggest new partnerships for us to pursue. In the interests of transparency, we should note who proposed a particular resource, and provide a way for users to see who has upvoted that suggestion. Also, unless and until T214164 is resolved; it will provide a scope for raising issues and discussing related stuff (see comment at T214164#5042721) over their on-wiki talk-page(s).

  • Edit suggest.html and place the suggesting user's username anywhere that seems appropriate within the suggestion box, linked to the user's CentralAuth page via user.wp_link_central_auth.

Good first bug

This task has been placed in the good first task category. This means it has been scoped and written in a way that makes it simpler for folks who haven’t contributed to the tool’s development or open source software in the past.

If that’s you, welcome! Please feel free to ask questions here about this specific task or the codebase more generally. We’ll be more than happy to help you and clarify the steps needed to complete the task, whether that’s setting up the repository, implementing the necessary changes, or pushing your changes to Github.

If you have experience contributing to this project or similar ones, please consider leaving this one for someone new, and taking a look at the Open Tasks column of the workboard for another task. Also feel free to help out if you see unanswered questions here!

How to contribute

Assign yourself to this task: Click the ‘Add Action’ dropdown menu below and then select Assign / Claim. The box should fill your username in automatically, then click Submit!

To submit your changes, you should fork the repository and create a new branch. After pushing your changes to your Github branch, you can open a pull request. Please link your pull request in a comment here when it has been submitted. Experienced contributors to the project will review your code and either provide feedback or merge it in!

Event Timeline

Samwalton9 renamed this task from Visibility for proposers and up-voters for a resource-request to Denote proposer and list upvoters on Suggest page.Apr 18 2019, 4:21 PM
Samwalton9 lowered the priority of this task from Medium to Low.Nov 6 2019, 11:08 AM
Samwalton9 updated the task description. (Show Details)
Samwalton9 renamed this task from Denote proposer and list upvoters on Suggest page to Denote proposer on Suggest page.Apr 8 2020, 1:35 PM
Samwalton9 updated the task description. (Show Details)
rajarshi added a subscriber: rajarshi.

Hello there. It's my first time working on open-source. Should I start with the git-hub readme to set up the repository?

Thanks a ton. All set up and good to go. One last thing, do I ask task related questions here? Or raise an issue on github? Because I have tons of noobie ones :3

One last thing, do I ask task related questions here? Or raise an issue on github? Because I have tons of noobie ones :3

It's best to ask here, though you can also ask in the PR now that you've opened it!

Hello @rajarshi! I have reviewed your pull request and suggested a few changes, in case you're still interested in contributing to the project.

Hey @Scardenasmolinar . Thanks for the reminder again. Just committed your suggested changes. Sorry for the delay

Thanks for making the changes! I'll take a look at it tomorrow